Bug 892575 - Replicated cache executes commands when it is not a member of CH
Summary: Replicated cache executes commands when it is not a member of CH
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-07 10:57 UTC by Radim Vansa
Modified: 2013-12-12 15:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-12 15:09:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2691 0 Major Closed Replicated cache executes commands when it is not a member of CH 2013-12-12 15:23:44 UTC

Description Radim Vansa 2013-01-07 10:57:35 UTC
Cache in replicated mode can execute commands (e.g. PutKeyValueCommand) broadcasted by other nodes in the cluster even if it is not a member of the current ReplicatedConsistentHash. In the PKVC case the container can then contain keys even if the StateConsumerImpl.getOwnedSegments(CH) returns empty list.

Comment 1 JBoss JIRA Server 2013-01-10 10:45:08 UTC
Mircea Markus <mmarkus> made a comment on jira ISPN-2691

This should have no side effect but only a incorrect error in the logs, right?

Comment 2 JBoss JIRA Server 2013-01-10 10:49:20 UTC
Radim Vansa <rvansa> made a comment on jira ISPN-2691

As far as I remember, no, it ended up only with the NPE as ISPN-2692 describes.

Comment 4 JBoss JIRA Server 2013-12-12 15:06:10 UTC
Radim Vansa <rvansa> updated the status of jira ISPN-2691 to Closed

Comment 5 Radim Vansa 2013-12-12 15:09:22 UTC
Already fixed in new replicated mode implementation.


Note You need to log in before you can comment on or make changes to this bug.